axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Amila Suriarachchi <amilasuriarach...@gmail.com>
Subject Re: Problems encountered when upgrading from 1.4.1 to 1.5
Date Wed, 16 Sep 2009 04:50:18 GMT
On Tue, Sep 15, 2009 at 6:19 PM, GOOSSENS Wim <WG@cipal.be> wrote:

>  Hi all,
>
> Got 2 problems when upgrading to 1.5 (deployed in tomcat 6.0.18)
>
> 1. In 1.5 , only in the war distribution, the
> geronimo-jta_1.1_spec-1.1.jar  is included in the lib
> This gives me problems when getting a UserTransation (class cast exception)
> This problem is solved by removing geronimo-jta_1.1_spec-1.1.jar  (correct
> javaee.jar is in the tomcat/lib)
>
it is ok to remove this.

>
>
> 2. Version 1.5 goes back from xerces 2.8.1 to xerces 2.6.2
>
>     - Why is this ? I get problems with the reset method not being know by
> 2.6.2
>     - Is it save to put xerces 2.8.1 in the lib or should i use 2.9.1
> instead
>      (1.5 seems to work with xerces 2.8.1 and 2.9.1)
>

should be ok to replace with xerces 2.8.1. I send a note[1] to axis2 dev
list

thanks,
Amila.

[1] http://marc.info/?l=axis-dev&m=125307618625654&w=2

>
> Regards
> Wim
>
>
>
>



-- 
Amila Suriarachchi
WSO2 Inc.
blog: http://amilachinthaka.blogspot.com/

Mime
View raw message